Bug 229518 - Add support for selinux samba_share_t file context
Add support for selinux samba_share_t file context
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2007-02-21 13:06 EST by Christian Nolte
Modified: 2016-06-03 12:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-03 12:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2007-02-21 13:06:12 EST
A samba share created with system-config-samba does not work by default if the
selinux file context is not set to samba_share_t manually by the user. One has to do

chcon [-R] -t samba_share_t /var/share

if a share shall be created. system-config-samba should at least warn the user
if the context is not right and offer the possibility to set the filecontext for
the user.
Comment 1 Christian Nolte 2007-06-21 14:24:04 EDT
Just a ping. I would like to hear some thoughts about this...
Comment 2 Bug Zapper 2008-04-03 15:13:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Nils Philippsen 2008-04-04 07:56:58 EDT
Hmm, we should discuss post-F9 whether the tool should offer relabeling or
rather change some SELinux booeans:

nils@wombat:~> sudo getsebool -a  | egrep -i 'smb|samba'
allow_smbd_anon_write --> off
samba_domain_controller --> off
samba_enable_home_dirs --> off
samba_export_all_ro --> off
samba_export_all_rw --> off
samba_run_unconfined --> on
samba_share_nfs --> off
use_samba_home_dirs --> off
Comment 4 Bug Zapper 2008-11-26 02:11:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 02:04:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Christian Nolte 2009-01-09 03:16:38 EST
What is the current status? It is currently a hassle for an unexperienced user to use this UI, because the shares won't wor "out-of-the-box" (tm).
Comment 7 Nils Philippsen 2016-06-03 12:21:34 EDT
Seems I've never gotten around to working on this.

Unfortunately, I'm not actively developing this program anymore. Closing this accordingly.

Note You need to log in before you can comment on or make changes to this bug.